BIBD 3.9.7.1 - Bug #16992

[Android][AP-21597] Double Deduction During Confirm
18 July 2023 05:57 PM - Feerman Yusoff

Status: Resolved Start date: 18 July 2023
Priority: Normal Due date:

Assignee: Nor Khairun Aqila Jesmen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Description:

Steps:

1. Login into BIBD

2. Click Transfer Services

3. Select "Transfer Own"/ "3rd Party"/ "RTGS/ACH"/ "TT"
4. Select Transfer FROM/TO and Insert Amount

5. Quickly click ‘Confirm’ button multiple times

Issue:
- Double deduction on a single transfer display in transaction history
- Transaction got sent twice into BE

Expected:
Confirm button should not be able to click twice

Fixes should Apply to modules:
- Transfer Own

- 3rd Party

- RTGS/ACH

-TT

History

#1 - 20 July 2023 11:14 AM - Abdul Halim Baharom

- Status changed from New to In Progress

#2 - 20 July 2023 01:28 PM - Abdul Halim Baharom
- Status changed from In Progress to Resolved
- Assignee changed from Abdul Halim Baharom to Feerman Yusoff

- % Done changed from 0 to 100

Fixed

#3 - 20 July 2023 01:34 PM - Feerman Yusoff
- File No double deductiom.MOV added

- Assignee changed from Feerman Yusoff to Nor Khairun Agila Jesmen

Retested in ver 13.9.7.1

Issue:

- Confirm button be able to click multiple times

- Double deduction on a single transfer display in transaction history
- Transaction got sent twice into BE

Expected:
Confirm button should not be able to click twice
Result: As expected
- Confirm button already not be able to click multiple times (Loading displayed as soon in the first click of confirm button)
- Tested 4-5 times of multiple click confirm button and no double deduction in transaction history

Fixes applied to:
- Transfer Own
- 3rd Party

- RTGS/ACH
-TT

Files
No double deductiom.MOV 4.86 MB 20 July 2023 Feerman Yusoff

22 April 2025 22


http://www.tcpdf.org

